# GET /UsersGroups/{usersGroupId}

## GET /api/v1/UsersGroups/{usersGroupId}

> Retrieves detailed information for a specific users group.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"UsersGroupDetailedRecordViewModelV1":{"required":["data","links"],"type":"object","properties":{"data":{"allOf":[{"$ref":"#/components/schemas/UsersGroupDetailedViewModelV1"}],"description":"The single data record returned by the request."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"Navigation links related to the resource."}},"additionalProperties":false,"description":"A response model that contains a single data record and related navigation links."},"UsersGroupDetailedViewModelV1":{"required":["id","name"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the users group.","format":"uuid"},"name":{"minLength":1,"type":"string","description":"Name of the users group."},"isIdpGroup":{"type":"boolean","description":"Indicates whether the users group has been imported from the identity provider."},"description":{"type":"string","description":"Optional description of the users group.","nullable":true},"numberOfUsers":{"type":"integer","description":"Number of users currently in the group.","format":"int32"},"numberOfDefaultWorkApps":{"type":"integer","description":"Number of default work apps linked to the group.","format":"int32"},"numberOfHiddenWorkApps":{"type":"integer","description":"Number of hidden work apps linked to the group.","format":"int32"},"isReadOnly":{"type":"boolean","description":"For synched groups with bi-directional synch, this flag is true if it is a group that can't be modified by Cakewalk"}},"additionalProperties":false,"description":"Detailed information about a users group, including metadata, counts, etc."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/UsersGroups/{usersGroupId}":{"get":{"tags":["UsersGroups"],"summary":"Retrieves detailed information for a specific users group.","parameters":[{"name":"usersGroupId","in":"path","description":"The unique identifier of the users group.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UsersGroupDetailedRecordViewModelV1"}},"application/json":{"schema":{"$ref":"#/components/schemas/UsersGroupDetailedRecordViewModelV1"}},"text/json":{"schema":{"$ref":"#/components/schemas/UsersGroupDetailedRecordViewModelV1"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```
